using System.Collections.Generic;
using UnityEngine;

public class NonCrossOptionMenu : BackButton
{
    [SerializeField] GameObject detailExplain;

    GraphData crossGraphData;
    List<GraphData> originGraphDatas;

    public void Initialize(GraphData crossData, GraphData data1, GraphData data2)
    {
        originGraphDatas = new List<GraphData>
        {
            data1,
            data2
        };

        this.crossGraphData = crossData;
    }

    public void pressedDetailButton()
    {
        detailExplain.GetComponent<DetailExplain>().Initialize(crossGraphData,originGraphDatas);
        detailExplain.SetActive(true);
        base.anotherButtonAction();
    }
}
